// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v4.25.6
// source: release.proto

package gen

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// ReleaseSortableField defines enums that allow sorting a paginated
// list of Releases.
type ReleaseSortableField int32

const (
	ReleaseSortableField_UPDATED_AT_ASC  ReleaseSortableField = 0
	ReleaseSortableField_UPDATED_AT_DESC ReleaseSortableField = 1
	ReleaseSortableField_CREATED_AT_ASC  ReleaseSortableField = 2
	ReleaseSortableField_CREATED_AT_DESC ReleaseSortableField = 3
)

// Enum value maps for ReleaseSortableField.
var (
	ReleaseSortableField_name = map[int32]string{
		0: "UPDATED_AT_ASC",
		1: "UPDATED_AT_DESC",
		2: "CREATED_AT_ASC",
		3: "CREATED_AT_DESC",
	}
	ReleaseSortableField_value = map[string]int32{
		"UPDATED_AT_ASC":  0,
		"UPDATED_AT_DESC": 1,
		"CREATED_AT_ASC":  2,
		"CREATED_AT_DESC": 3,
	}
)

func (x ReleaseSortableField) Enum() *ReleaseSortableField {
	p := new(ReleaseSortableField)
	*p = x
	return p
}

func (x ReleaseSortableField) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ReleaseSortableField) Descriptor() protoreflect.EnumDescriptor {
	return file_release_proto_enumTypes[0].Descriptor()
}

func (ReleaseSortableField) Type() protoreflect.EnumType {
	return &file_release_proto_enumTypes[0]
}

func (x ReleaseSortableField) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ReleaseSortableField.Descriptor instead.
func (ReleaseSortableField) EnumDescriptor() ([]byte, []int) {
	return file_release_proto_rawDescGZIP(), []int{0}
}

// GetReleaseByIdRequest is the input for retrieving a Release by it's ID.
type GetReleaseByIdRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetReleaseByIdRequest) Reset() {
	*x = GetReleaseByIdRequest{}
	mi := &file_release_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetReleaseByIdRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetReleaseByIdRequest) ProtoMessage() {}

func (x *GetReleaseByIdRequest) ProtoReflect() protoreflect.Message {
	mi := &file_release_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetReleaseByIdRequest.ProtoReflect.Descriptor instead.
func (*GetReleaseByIdRequest) Descriptor() ([]byte, []int) {
	return file_release_proto_rawDescGZIP(), []int{0}
}

func (x *GetReleaseByIdRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

// GetReleasesRequest is the input for retrieving a paginated list of Releases.
type GetReleasesRequest struct {
	state             protoimpl.MessageState `protogen:"open.v1"`
	PaginationOptions *PaginationOptions     `protobuf:"bytes,1,opt,name=pagination_options,json=paginationOptions,proto3,oneof" json:"pagination_options,omitempty"`
	Sort              *ReleaseSortableField  `protobuf:"varint,2,opt,name=sort,proto3,enum=martiancloud.phobos.api.release.ReleaseSortableField,oneof" json:"sort,omitempty"`
	ProjectId         string                 `protobuf:"bytes,3,opt,name=project_id,json=projectId,proto3" json:"project_id,omitempty"`
	unknownFields     protoimpl.UnknownFields
	sizeCache         protoimpl.SizeCache
}

func (x *GetReleasesRequest) Reset() {
	*x = GetReleasesRequest{}
	mi := &file_release_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetReleasesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetReleasesRequest) ProtoMessage() {}

func (x *GetReleasesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_release_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetReleasesRequest.ProtoReflect.Descriptor instead.
func (*GetReleasesRequest) Descriptor() ([]byte, []int) {
	return file_release_proto_rawDescGZIP(), []int{1}
}

func (x *GetReleasesRequest) GetPaginationOptions() *PaginationOptions {
	if x != nil {
		return x.PaginationOptions
	}
	return nil
}

func (x *GetReleasesRequest) GetSort() ReleaseSortableField {
	if x != nil && x.Sort != nil {
		return *x.Sort
	}
	return ReleaseSortableField_UPDATED_AT_ASC
}

func (x *GetReleasesRequest) GetProjectId() string {
	if x != nil {
		return x.ProjectId
	}
	return ""
}

// DeploymentTemplate is the input for providing a pipeline template for a
// deployment.
type DeploymentTemplate struct {
	state              protoimpl.MessageState `protogen:"open.v1"`
	EnvironmentName    string                 `protobuf:"bytes,1,opt,name=environment_name,json=environmentName,proto3" json:"environment_name,omitempty"`
	PipelineTemplateId string                 `protobuf:"bytes,2,opt,name=pipeline_template_id,json=pipelineTemplateId,proto3" json:"pipeline_template_id,omitempty"`
	unknownFields      protoimpl.UnknownFields
	sizeCache          protoimpl.SizeCache
}

func (x *DeploymentTemplate) Reset() {
	*x = DeploymentTemplate{}
	mi := &file_release_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DeploymentTemplate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeploymentTemplate) ProtoMessage() {}

func (x *DeploymentTemplate) ProtoReflect() protoreflect.Message {
	mi := &file_release_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeploymentTemplate.ProtoReflect.Descriptor instead.
func (*DeploymentTemplate) Descriptor() ([]byte, []int) {
	return file_release_proto_rawDescGZIP(), []int{2}
}

func (x *DeploymentTemplate) GetEnvironmentName() string {
	if x != nil {
		return x.EnvironmentName
	}
	return ""
}

func (x *DeploymentTemplate) GetPipelineTemplateId() string {
	if x != nil {
		return x.PipelineTemplateId
	}
	return ""
}

// ReleaseVariable is the input for providing a variable for a deployment.
// If environment_name is not provided the variable will be applied to all
// deployments.
type ReleaseVariable struct {
	state           protoimpl.MessageState `protogen:"open.v1"`
	EnvironmentName *string                `protobuf:"bytes,1,opt,name=environment_name,json=environmentName,proto3,oneof" json:"environment_name,omitempty"`
	Key             string                 `protobuf:"bytes,2,opt,name=key,proto3" json:"key,omitempty"`
	Value           string                 `protobuf:"bytes,3,opt,name=value,proto3" json:"value,omitempty"`
	unknownFields   protoimpl.UnknownFields
	sizeCache       protoimpl.SizeCache
}

func (x *ReleaseVariable) Reset() {
	*x = ReleaseVariable{}
	mi := &file_release_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ReleaseVariable) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReleaseVariable) ProtoMessage() {}

func (x *ReleaseVariable) ProtoReflect() protoreflect.Message {
	mi := &file_release_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReleaseVariable.ProtoReflect.Descriptor instead.
func (*ReleaseVariable) Descriptor() ([]byte, []int) {
	return file_release_proto_rawDescGZIP(), []int{3}
}

func (x *ReleaseVariable) GetEnvironmentName() string {
	if x != nil && x.EnvironmentName != nil {
		return *x.EnvironmentName
	}
	return ""
}

func (x *ReleaseVariable) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

func (x *ReleaseVariable) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

// CreateReleaseRequest is the input for creating a new Release.
type CreateReleaseRequest struct {
	state                protoimpl.MessageState `protogen:"open.v1"`
	ProjectId            string                 `protobuf:"bytes,1,opt,name=project_id,json=projectId,proto3" json:"project_id,omitempty"`
	LifecycleId          string                 `protobuf:"bytes,2,opt,name=lifecycle_id,json=lifecycleId,proto3" json:"lifecycle_id,omitempty"`
	SemanticVersion      string                 `protobuf:"bytes,3,opt,name=semantic_version,json=semanticVersion,proto3" json:"semantic_version,omitempty"`
	DeploymentTemplates  []*DeploymentTemplate  `protobuf:"bytes,4,rep,name=deployment_templates,json=deploymentTemplates,proto3" json:"deployment_templates,omitempty"`
	EnvironmentVariables []*ReleaseVariable     `protobuf:"bytes,5,rep,name=environment_variables,json=environmentVariables,proto3" json:"environment_variables,omitempty"`
	HclVariables         []*ReleaseVariable     `protobuf:"bytes,6,rep,name=hcl_variables,json=hclVariables,proto3" json:"hcl_variables,omitempty"`
	DueDate              *timestamppb.Timestamp `protobuf:"bytes,7,opt,name=due_date,json=dueDate,proto3,oneof" json:"due_date,omitempty"`
	UserParticipantIds   []string               `protobuf:"bytes,8,rep,name=user_participant_ids,json=userParticipantIds,proto3" json:"user_participant_ids,omitempty"`
	TeamParticipantIds   []string               `protobuf:"bytes,9,rep,name=team_participant_ids,json=teamParticipantIds,proto3" json:"team_participant_ids,omitempty"`
	Notes                string                 `protobuf:"bytes,10,opt,name=notes,proto3" json:"notes,omitempty"`
	VariableSetRevision  *string                `protobuf:"bytes,11,opt,name=variable_set_revision,json=variableSetRevision,proto3,oneof" json:"variable_set_revision,omitempty"`
	unknownFields        protoimpl.UnknownFields
	sizeCache            protoimpl.SizeCache
}

func (x *CreateReleaseRequest) Reset() {
	*x = CreateReleaseRequest{}
	mi := &file_release_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CreateReleaseRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateReleaseRequest) ProtoMessage() {}

func (x *CreateReleaseRequest) ProtoReflect() protoreflect.Message {
	mi := &file_release_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateReleaseRequest.ProtoReflect.Descriptor instead.
func (*CreateReleaseRequest) Descriptor() ([]byte, []int) {
	return file_release_proto_rawDescGZIP(), []int{4}
}

func (x *CreateReleaseRequest) GetProjectId() string {
	if x != nil {
		return x.ProjectId
	}
	return ""
}

func (x *CreateReleaseRequest) GetLifecycleId() string {
	if x != nil {
		return x.LifecycleId
	}
	return ""
}

func (x *CreateReleaseRequest) GetSemanticVersion() string {
	if x != nil {
		return x.SemanticVersion
	}
	return ""
}

func (x *CreateReleaseRequest) GetDeploymentTemplates() []*DeploymentTemplate {
	if x != nil {
		return x.DeploymentTemplates
	}
	return nil
}

func (x *CreateReleaseRequest) GetEnvironmentVariables() []*ReleaseVariable {
	if x != nil {
		return x.EnvironmentVariables
	}
	return nil
}

func (x *CreateReleaseRequest) GetHclVariables() []*ReleaseVariable {
	if x != nil {
		return x.HclVariables
	}
	return nil
}

func (x *CreateReleaseRequest) GetDueDate() *timestamppb.Timestamp {
	if x != nil {
		return x.DueDate
	}
	return nil
}

func (x *CreateReleaseRequest) GetUserParticipantIds() []string {
	if x != nil {
		return x.UserParticipantIds
	}
	return nil
}

func (x *CreateReleaseRequest) GetTeamParticipantIds() []string {
	if x != nil {
		return x.TeamParticipantIds
	}
	return nil
}

func (x *CreateReleaseRequest) GetNotes() string {
	if x != nil {
		return x.Notes
	}
	return ""
}

func (x *CreateReleaseRequest) GetVariableSetRevision() string {
	if x != nil && x.VariableSetRevision != nil {
		return *x.VariableSetRevision
	}
	return ""
}

// UpdateReleaseRequest is the input for updating an existing Release.
type UpdateReleaseRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Notes         *string                `protobuf:"bytes,2,opt,name=notes,proto3,oneof" json:"notes,omitempty"`
	DueDate       *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=due_date,json=dueDate,proto3,oneof" json:"due_date,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *UpdateReleaseRequest) Reset() {
	*x = UpdateReleaseRequest{}
	mi := &file_release_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UpdateReleaseRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateReleaseRequest) ProtoMessage() {}

func (x *UpdateReleaseRequest) ProtoReflect() protoreflect.Message {
	mi := &file_release_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateReleaseRequest.ProtoReflect.Descriptor instead.
func (*UpdateReleaseRequest) Descriptor() ([]byte, []int) {
	return file_release_proto_rawDescGZIP(), []int{5}
}

func (x *UpdateReleaseRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *UpdateReleaseRequest) GetNotes() string {
	if x != nil && x.Notes != nil {
		return *x.Notes
	}
	return ""
}

func (x *UpdateReleaseRequest) GetDueDate() *timestamppb.Timestamp {
	if x != nil {
		return x.DueDate
	}
	return nil
}

// DeleteReleaseRequest is the input for deleting an existing Release.
type DeleteReleaseRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Version       *string                `protobuf:"bytes,2,opt,name=version,proto3,oneof" json:"version,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DeleteReleaseRequest) Reset() {
	*x = DeleteReleaseRequest{}
	mi := &file_release_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DeleteReleaseRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteReleaseRequest) ProtoMessage() {}

func (x *DeleteReleaseRequest) ProtoReflect() protoreflect.Message {
	mi := &file_release_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteReleaseRequest.ProtoReflect.Descriptor instead.
func (*DeleteReleaseRequest) Descriptor() ([]byte, []int) {
	return file_release_proto_rawDescGZIP(), []int{6}
}

func (x *DeleteReleaseRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DeleteReleaseRequest) GetVersion() string {
	if x != nil && x.Version != nil {
		return *x.Version
	}
	return ""
}

// AddParticipantToReleaseRequest is the input for adding a participant to a
// Release.
type AddParticipantToReleaseRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	ReleaseId     string                 `protobuf:"bytes,1,opt,name=release_id,json=releaseId,proto3" json:"release_id,omitempty"`
	UserId        *string                `protobuf:"bytes,2,opt,name=user_id,json=userId,proto3,oneof" json:"user_id,omitempty"`
	TeamId        *string                `protobuf:"bytes,3,opt,name=team_id,json=teamId,proto3,oneof" json:"team_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *AddParticipantToReleaseRequest) Reset() {
	*x = AddParticipantToReleaseRequest{}
	mi := &file_release_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AddParticipantToReleaseRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddParticipantToReleaseRequest) ProtoMessage() {}

func (x *AddParticipantToReleaseRequest) ProtoReflect() protoreflect.Message {
	mi := &file_release_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddParticipantToReleaseRequest.ProtoReflect.Descriptor instead.
func (*AddParticipantToReleaseRequest) Descriptor() ([]byte, []int) {
	return file_release_proto_rawDescGZIP(), []int{7}
}

func (x *AddParticipantToReleaseRequest) GetReleaseId() string {
	if x != nil {
		return x.ReleaseId
	}
	return ""
}

func (x *AddParticipantToReleaseRequest) GetUserId() string {
	if x != nil && x.UserId != nil {
		return *x.UserId
	}
	return ""
}

func (x *AddParticipantToReleaseRequest) GetTeamId() string {
	if x != nil && x.TeamId != nil {
		return *x.TeamId
	}
	return ""
}

// RemoveParticipantFromReleaseRequest is the input for removing a participant
// from a Release.
type RemoveParticipantFromReleaseRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	ReleaseId     string                 `protobuf:"bytes,1,opt,name=release_id,json=releaseId,proto3" json:"release_id,omitempty"`
	UserId        *string                `protobuf:"bytes,2,opt,name=user_id,json=userId,proto3,oneof" json:"user_id,omitempty"`
	TeamId        *string                `protobuf:"bytes,3,opt,name=team_id,json=teamId,proto3,oneof" json:"team_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *RemoveParticipantFromReleaseRequest) Reset() {
	*x = RemoveParticipantFromReleaseRequest{}
	mi := &file_release_proto_msgTypes[8]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RemoveParticipantFromReleaseRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RemoveParticipantFromReleaseRequest) ProtoMessage() {}

func (x *RemoveParticipantFromReleaseRequest) ProtoReflect() protoreflect.Message {
	mi := &file_release_proto_msgTypes[8]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RemoveParticipantFromReleaseRequest.ProtoReflect.Descriptor instead.
func (*RemoveParticipantFromReleaseRequest) Descriptor() ([]byte, []int) {
	return file_release_proto_rawDescGZIP(), []int{8}
}

func (x *RemoveParticipantFromReleaseRequest) GetReleaseId() string {
	if x != nil {
		return x.ReleaseId
	}
	return ""
}

func (x *RemoveParticipantFromReleaseRequest) GetUserId() string {
	if x != nil && x.UserId != nil {
		return *x.UserId
	}
	return ""
}

func (x *RemoveParticipantFromReleaseRequest) GetTeamId() string {
	if x != nil && x.TeamId != nil {
		return *x.TeamId
	}
	return ""
}

// UpdateReleaseDeploymentPipelineRequest is the input for updating a release
// deployment.
type UpdateReleaseDeploymentPipelineRequest struct {
	state                protoimpl.MessageState `protogen:"open.v1"`
	ReleaseId            string                 `protobuf:"bytes,1,opt,name=release_id,json=releaseId,proto3" json:"release_id,omitempty"`
	EnvironmentName      string                 `protobuf:"bytes,2,opt,name=environment_name,json=environmentName,proto3" json:"environment_name,omitempty"`
	PipelineTemplateId   *string                `protobuf:"bytes,3,opt,name=pipeline_template_id,json=pipelineTemplateId,proto3,oneof" json:"pipeline_template_id,omitempty"`
	HclVariables         []*PipelineVariable    `protobuf:"bytes,4,rep,name=hcl_variables,json=hclVariables,proto3" json:"hcl_variables,omitempty"`
	EnvironmentVariables []*PipelineVariable    `protobuf:"bytes,5,rep,name=environment_variables,json=environmentVariables,proto3" json:"environment_variables,omitempty"`
	unknownFields        protoimpl.UnknownFields
	sizeCache            protoimpl.SizeCache
}

func (x *UpdateReleaseDeploymentPipelineRequest) Reset() {
	*x = UpdateReleaseDeploymentPipelineRequest{}
	mi := &file_release_proto_msgTypes[9]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UpdateReleaseDeploymentPipelineRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateReleaseDeploymentPipelineRequest) ProtoMessage() {}

func (x *UpdateReleaseDeploymentPipelineRequest) ProtoReflect() protoreflect.Message {
	mi := &file_release_proto_msgTypes[9]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateReleaseDeploymentPipelineRequest.ProtoReflect.Descriptor instead.
func (*UpdateReleaseDeploymentPipelineRequest) Descriptor() ([]byte, []int) {
	return file_release_proto_rawDescGZIP(), []int{9}
}

func (x *UpdateReleaseDeploymentPipelineRequest) GetReleaseId() string {
	if x != nil {
		return x.ReleaseId
	}
	return ""
}

func (x *UpdateReleaseDeploymentPipelineRequest) GetEnvironmentName() string {
	if x != nil {
		return x.EnvironmentName
	}
	return ""
}

func (x *UpdateReleaseDeploymentPipelineRequest) GetPipelineTemplateId() string {
	if x != nil && x.PipelineTemplateId != nil {
		return *x.PipelineTemplateId
	}
	return ""
}

func (x *UpdateReleaseDeploymentPipelineRequest) GetHclVariables() []*PipelineVariable {
	if x != nil {
		return x.HclVariables
	}
	return nil
}

func (x *UpdateReleaseDeploymentPipelineRequest) GetEnvironmentVariables() []*PipelineVariable {
	if x != nil {
		return x.EnvironmentVariables
	}
	return nil
}

// Release is composed of a set of assets, a snapshot of the automation used to
// deploy the assets, and the state of the automation.
type Release struct {
	state              protoimpl.MessageState `protogen:"open.v1"`
	Metadata           *ResourceMetadata      `protobuf:"bytes,1,opt,name=metadata,proto3" json:"metadata,omitempty"`
	CreatedBy          string                 `protobuf:"bytes,2,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	SemanticVersion    string                 `protobuf:"bytes,3,opt,name=semantic_version,json=semanticVersion,proto3" json:"semantic_version,omitempty"`
	ProjectId          string                 `protobuf:"bytes,4,opt,name=project_id,json=projectId,proto3" json:"project_id,omitempty"`
	DueDate            *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=due_date,json=dueDate,proto3,oneof" json:"due_date,omitempty"`
	PreRelease         bool                   `protobuf:"varint,6,opt,name=pre_release,json=preRelease,proto3" json:"pre_release,omitempty"`
	Latest             bool                   `protobuf:"varint,7,opt,name=latest,proto3" json:"latest,omitempty"`
	UserParticipantIds []string               `protobuf:"bytes,8,rep,name=user_participant_ids,json=userParticipantIds,proto3" json:"user_participant_ids,omitempty"`
	TeamParticipantIds []string               `protobuf:"bytes,9,rep,name=team_participant_ids,json=teamParticipantIds,proto3" json:"team_participant_ids,omitempty"`
	unknownFields      protoimpl.UnknownFields
	sizeCache          protoimpl.SizeCache
}

func (x *Release) Reset() {
	*x = Release{}
	mi := &file_release_proto_msgTypes[10]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Release) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Release) ProtoMessage() {}

func (x *Release) ProtoReflect() protoreflect.Message {
	mi := &file_release_proto_msgTypes[10]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Release.ProtoReflect.Descriptor instead.
func (*Release) Descriptor() ([]byte, []int) {
	return file_release_proto_rawDescGZIP(), []int{10}
}

func (x *Release) GetMetadata() *ResourceMetadata {
	if x != nil {
		return x.Metadata
	}
	return nil
}

func (x *Release) GetCreatedBy() string {
	if x != nil {
		return x.CreatedBy
	}
	return ""
}

func (x *Release) GetSemanticVersion() string {
	if x != nil {
		return x.SemanticVersion
	}
	return ""
}

func (x *Release) GetProjectId() string {
	if x != nil {
		return x.ProjectId
	}
	return ""
}

func (x *Release) GetDueDate() *timestamppb.Timestamp {
	if x != nil {
		return x.DueDate
	}
	return nil
}

func (x *Release) GetPreRelease() bool {
	if x != nil {
		return x.PreRelease
	}
	return false
}

func (x *Release) GetLatest() bool {
	if x != nil {
		return x.Latest
	}
	return false
}

func (x *Release) GetUserParticipantIds() []string {
	if x != nil {
		return x.UserParticipantIds
	}
	return nil
}

func (x *Release) GetTeamParticipantIds() []string {
	if x != nil {
		return x.TeamParticipantIds
	}
	return nil
}

// GetReleasesResponse is the paginated list of Releases
type GetReleasesResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	PageInfo      *PageInfo              `protobuf:"bytes,1,opt,name=page_info,json=pageInfo,proto3" json:"page_info,omitempty"`
	Releases      []*Release             `protobuf:"bytes,2,rep,name=releases,proto3" json:"releases,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetReleasesResponse) Reset() {
	*x = GetReleasesResponse{}
	mi := &file_release_proto_msgTypes[11]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetReleasesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetReleasesResponse) ProtoMessage() {}

func (x *GetReleasesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_release_proto_msgTypes[11]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetReleasesResponse.ProtoReflect.Descriptor instead.
func (*GetReleasesResponse) Descriptor() ([]byte, []int) {
	return file_release_proto_rawDescGZIP(), []int{11}
}

func (x *GetReleasesResponse) GetPageInfo() *PageInfo {
	if x != nil {
		return x.PageInfo
	}
	return nil
}

func (x *GetReleasesResponse) GetReleases() []*Release {
	if x != nil {
		return x.Releases
	}
	return nil
}

var File_release_proto protoreflect.FileDescriptor

var file_release_proto_rawDesc = string([]byte{
	0x0a, 0x0d, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x1f, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68,
	0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x1a, 0x0e, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x10, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x0e, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x22, 0x27, 0x0a, 0x15, 0x47, 0x65, 0x74, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x42, 0x79,
	0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x22, 0x8e, 0x02, 0x0a, 0x12, 0x47, 0x65,
	0x74, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x69, 0x0a, 0x12, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6f,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x35, 0x2e, 0x6d,
	0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62,
	0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4f, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x73, 0x48, 0x00, 0x52, 0x11, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x88, 0x01, 0x01, 0x12, 0x4e, 0x0a, 0x04, 0x73,
	0x6f, 0x72, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x35, 0x2e, 0x6d, 0x61, 0x72, 0x74,
	0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x65,
	0x61, 0x73, 0x65, 0x53, 0x6f, 0x72, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64,
	0x48, 0x01, 0x52, 0x04, 0x73, 0x6f, 0x72, 0x74, 0x88, 0x01, 0x01, 0x12, 0x1d, 0x0a, 0x0a, 0x70,
	0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x09, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x64, 0x42, 0x15, 0x0a, 0x13, 0x5f, 0x70,
	0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x73, 0x42, 0x07, 0x0a, 0x05, 0x5f, 0x73, 0x6f, 0x72, 0x74, 0x22, 0x71, 0x0a, 0x12, 0x44, 0x65,
	0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65,
	0x12, 0x29, 0x0a, 0x10, 0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x5f,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x65, 0x6e, 0x76, 0x69,
	0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x30, 0x0a, 0x14, 0x70,
	0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x5f, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65,
	0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x12, 0x70, 0x69, 0x70, 0x65, 0x6c,
	0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x49, 0x64, 0x22, 0x7e, 0x0a,
	0x0f, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
	0x12, 0x2e, 0x0a, 0x10, 0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x5f,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x0f, 0x65, 0x6e,
	0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x88, 0x01, 0x01,
	0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b,
	0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x42, 0x13, 0x0a, 0x11, 0x5f, 0x65, 0x6e, 0x76,
	0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0xbf, 0x05,
	0x0a, 0x14, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63,
	0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x6a,
	0x65, 0x63, 0x74, 0x49, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x6c, 0x69, 0x66, 0x65, 0x63, 0x79, 0x63,
	0x6c, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x6c, 0x69, 0x66,
	0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x49, 0x64, 0x12, 0x29, 0x0a, 0x10, 0x73, 0x65, 0x6d, 0x61,
	0x6e, 0x74, 0x69, 0x63, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0f, 0x73, 0x65, 0x6d, 0x61, 0x6e, 0x74, 0x69, 0x63, 0x56, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x12, 0x66, 0x0a, 0x14, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e,
	0x74, 0x5f, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x33, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65,
	0x61, 0x73, 0x65, 0x2e, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65,
	0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x13, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65,
	0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x12, 0x65, 0x0a, 0x15, 0x65,
	0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x76, 0x61, 0x72, 0x69, 0x61,
	0x62, 0x6c, 0x65, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x6d, 0x61, 0x72,
	0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x6c,
	0x65, 0x61, 0x73, 0x65, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x52, 0x14, 0x65, 0x6e,
	0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
	0x65, 0x73, 0x12, 0x55, 0x0a, 0x0d, 0x68, 0x63, 0x6c, 0x5f, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
	0x6c, 0x65, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x6d, 0x61, 0x72, 0x74,
	0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x65,
	0x61, 0x73, 0x65, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x52, 0x0c, 0x68, 0x63, 0x6c,
	0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x12, 0x3a, 0x0a, 0x08, 0x64, 0x75, 0x65,
	0x5f, 0x64, 0x61, 0x74, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69,
	0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x48, 0x00, 0x52, 0x07, 0x64, 0x75, 0x65, 0x44, 0x61,
	0x74, 0x65, 0x88, 0x01, 0x01, 0x12, 0x30, 0x0a, 0x14, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x70, 0x61,
	0x72, 0x74, 0x69, 0x63, 0x69, 0x70, 0x61, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x73, 0x18, 0x08, 0x20,
	0x03, 0x28, 0x09, 0x52, 0x12, 0x75, 0x73, 0x65, 0x72, 0x50, 0x61, 0x72, 0x74, 0x69, 0x63, 0x69,
	0x70, 0x61, 0x6e, 0x74, 0x49, 0x64, 0x73, 0x12, 0x30, 0x0a, 0x14, 0x74, 0x65, 0x61, 0x6d, 0x5f,
	0x70, 0x61, 0x72, 0x74, 0x69, 0x63, 0x69, 0x70, 0x61, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x73, 0x18,
	0x09, 0x20, 0x03, 0x28, 0x09, 0x52, 0x12, 0x74, 0x65, 0x61, 0x6d, 0x50, 0x61, 0x72, 0x74, 0x69,
	0x63, 0x69, 0x70, 0x61, 0x6e, 0x74, 0x49, 0x64, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x6e, 0x6f, 0x74,
	0x65, 0x73, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6e, 0x6f, 0x74, 0x65, 0x73, 0x12,
	0x37, 0x0a, 0x15, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x5f, 0x73, 0x65, 0x74, 0x5f,
	0x72, 0x65, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x09, 0x48, 0x01,
	0x52, 0x13, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x53, 0x65, 0x74, 0x52, 0x65, 0x76,
	0x69, 0x73, 0x69, 0x6f, 0x6e, 0x88, 0x01, 0x01, 0x42, 0x0b, 0x0a, 0x09, 0x5f, 0x64, 0x75, 0x65,
	0x5f, 0x64, 0x61, 0x74, 0x65, 0x42, 0x18, 0x0a, 0x16, 0x5f, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62,
	0x6c, 0x65, 0x5f, 0x73, 0x65, 0x74, 0x5f, 0x72, 0x65, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x22,
	0x94, 0x01, 0x0a, 0x14, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73,
	0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x19, 0x0a, 0x05, 0x6e, 0x6f, 0x74, 0x65,
	0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x6e, 0x6f, 0x74, 0x65, 0x73,
	0x88, 0x01, 0x01, 0x12, 0x3a, 0x0a, 0x08, 0x64, 0x75, 0x65, 0x5f, 0x64, 0x61, 0x74, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x48, 0x01, 0x52, 0x07, 0x64, 0x75, 0x65, 0x44, 0x61, 0x74, 0x65, 0x88, 0x01, 0x01, 0x42,
	0x08, 0x0a, 0x06, 0x5f, 0x6e, 0x6f, 0x74, 0x65, 0x73, 0x42, 0x0b, 0x0a, 0x09, 0x5f, 0x64, 0x75,
	0x65, 0x5f, 0x64, 0x61, 0x74, 0x65, 0x22, 0x51, 0x0a, 0x14, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1d,
	0x0a, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48,
	0x00, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x88, 0x01, 0x01, 0x42, 0x0a, 0x0a,
	0x08, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x22, 0x93, 0x01, 0x0a, 0x1e, 0x41, 0x64,
	0x64, 0x50, 0x61, 0x72, 0x74, 0x69, 0x63, 0x69, 0x70, 0x61, 0x6e, 0x74, 0x54, 0x6f, 0x52, 0x65,
	0x6c, 0x65, 0x61, 0x73, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x0a,
	0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x09, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x49, 0x64, 0x12, 0x1c, 0x0a, 0x07, 0x75,
	0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x06,
	0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x88, 0x01, 0x01, 0x12, 0x1c, 0x0a, 0x07, 0x74, 0x65, 0x61,
	0x6d, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x48, 0x01, 0x52, 0x06, 0x74, 0x65,
	0x61, 0x6d, 0x49, 0x64, 0x88, 0x01, 0x01, 0x42, 0x0a, 0x0a, 0x08, 0x5f, 0x75, 0x73, 0x65, 0x72,
	0x5f, 0x69, 0x64, 0x42, 0x0a, 0x0a, 0x08, 0x5f, 0x74, 0x65, 0x61, 0x6d, 0x5f, 0x69, 0x64, 0x22,
	0x98, 0x01, 0x0a, 0x23, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x50, 0x61, 0x72, 0x74, 0x69, 0x63,
	0x69, 0x70, 0x61, 0x6e, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x72, 0x65, 0x6c, 0x65, 0x61,
	0x73, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x72, 0x65, 0x6c,
	0x65, 0x61, 0x73, 0x65, 0x49, 0x64, 0x12, 0x1c, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49,
	0x64, 0x88, 0x01, 0x01, 0x12, 0x1c, 0x0a, 0x07, 0x74, 0x65, 0x61, 0x6d, 0x5f, 0x69, 0x64, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x48, 0x01, 0x52, 0x06, 0x74, 0x65, 0x61, 0x6d, 0x49, 0x64, 0x88,
	0x01, 0x01, 0x42, 0x0a, 0x0a, 0x08, 0x5f, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x42, 0x0a,
	0x0a, 0x08, 0x5f, 0x74, 0x65, 0x61, 0x6d, 0x5f, 0x69, 0x64, 0x22, 0x84, 0x03, 0x0a, 0x26, 0x55,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x44, 0x65, 0x70, 0x6c,
	0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x72, 0x65, 0x6c, 0x65, 0x61,
	0x73, 0x65, 0x49, 0x64, 0x12, 0x29, 0x0a, 0x10, 0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d,
	0x65, 0x6e, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f,
	0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12,
	0x35, 0x0a, 0x14, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x5f, 0x74, 0x65, 0x6d, 0x70,
	0x6c, 0x61, 0x74, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52,
	0x12, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74,
	0x65, 0x49, 0x64, 0x88, 0x01, 0x01, 0x12, 0x57, 0x0a, 0x0d, 0x68, 0x63, 0x6c, 0x5f, 0x76, 0x61,
	0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x32, 0x2e,
	0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f,
	0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65,
	0x2e, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
	0x65, 0x52, 0x0c, 0x68, 0x63, 0x6c, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x12,
	0x67, 0x0a, 0x15, 0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x76,
	0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x32,
	0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68,
	0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e,
	0x65, 0x2e, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62,
	0x6c, 0x65, 0x52, 0x14, 0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x56,
	0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x42, 0x17, 0x0a, 0x15, 0x5f, 0x70, 0x69, 0x70,
	0x65, 0x6c, 0x69, 0x6e, 0x65, 0x5f, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x5f, 0x69,
	0x64, 0x22, 0xa8, 0x03, 0x0a, 0x07, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x12, 0x4e, 0x0a,
	0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x32, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70,
	0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61,
	0x74, 0x61, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x4d, 0x65, 0x74, 0x61, 0x64,
	0x61, 0x74, 0x61, 0x52, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x12, 0x1d, 0x0a,
	0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x12, 0x29, 0x0a, 0x10,
	0x73, 0x65, 0x6d, 0x61, 0x6e, 0x74, 0x69, 0x63, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x73, 0x65, 0x6d, 0x61, 0x6e, 0x74, 0x69, 0x63,
	0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65,
	0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x72, 0x6f,
	0x6a, 0x65, 0x63, 0x74, 0x49, 0x64, 0x12, 0x3a, 0x0a, 0x08, 0x64, 0x75, 0x65, 0x5f, 0x64, 0x61,
	0x74, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73,
	0x74, 0x61, 0x6d, 0x70, 0x48, 0x00, 0x52, 0x07, 0x64, 0x75, 0x65, 0x44, 0x61, 0x74, 0x65, 0x88,
	0x01, 0x01, 0x12, 0x1f, 0x0a, 0x0b, 0x70, 0x72, 0x65, 0x5f, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73,
	0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0a, 0x70, 0x72, 0x65, 0x52, 0x65, 0x6c, 0x65,
	0x61, 0x73, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x74, 0x18, 0x07, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x06, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x74, 0x12, 0x30, 0x0a, 0x14, 0x75,
	0x73, 0x65, 0x72, 0x5f, 0x70, 0x61, 0x72, 0x74, 0x69, 0x63, 0x69, 0x70, 0x61, 0x6e, 0x74, 0x5f,
	0x69, 0x64, 0x73, 0x18, 0x08, 0x20, 0x03, 0x28, 0x09, 0x52, 0x12, 0x75, 0x73, 0x65, 0x72, 0x50,
	0x61, 0x72, 0x74, 0x69, 0x63, 0x69, 0x70, 0x61, 0x6e, 0x74, 0x49, 0x64, 0x73, 0x12, 0x30, 0x0a,
	0x14, 0x74, 0x65, 0x61, 0x6d, 0x5f, 0x70, 0x61, 0x72, 0x74, 0x69, 0x63, 0x69, 0x70, 0x61, 0x6e,
	0x74, 0x5f, 0x69, 0x64, 0x73, 0x18, 0x09, 0x20, 0x03, 0x28, 0x09, 0x52, 0x12, 0x74, 0x65, 0x61,
	0x6d, 0x50, 0x61, 0x72, 0x74, 0x69, 0x63, 0x69, 0x70, 0x61, 0x6e, 0x74, 0x49, 0x64, 0x73, 0x42,
	0x0b, 0x0a, 0x09, 0x5f, 0x64, 0x75, 0x65, 0x5f, 0x64, 0x61, 0x74, 0x65, 0x22, 0xa6, 0x01, 0x0a,
	0x13, 0x47, 0x65, 0x74, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x49, 0x0a, 0x09, 0x70, 0x61, 0x67, 0x65, 0x5f, 0x69, 0x6e, 0x66,
	0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61,
	0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67,
	0x65, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x08, 0x70, 0x61, 0x67, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12,
	0x44, 0x0a, 0x08, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x28, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65,
	0x61, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x52, 0x08, 0x72, 0x65, 0x6c,
	0x65, 0x61, 0x73, 0x65, 0x73, 0x2a, 0x68, 0x0a, 0x14, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x53, 0x6f, 0x72, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x12, 0x12, 0x0a,
	0x0e, 0x55, 0x50, 0x44, 0x41, 0x54, 0x45, 0x44, 0x5f, 0x41, 0x54, 0x5f, 0x41, 0x53, 0x43, 0x10,
	0x00, 0x12, 0x13, 0x0a, 0x0f, 0x55, 0x50, 0x44, 0x41, 0x54, 0x45, 0x44, 0x5f, 0x41, 0x54, 0x5f,
	0x44, 0x45, 0x53, 0x43, 0x10, 0x01, 0x12, 0x12, 0x0a, 0x0e, 0x43, 0x52, 0x45, 0x41, 0x54, 0x45,
	0x44, 0x5f, 0x41, 0x54, 0x5f, 0x41, 0x53, 0x43, 0x10, 0x02, 0x12, 0x13, 0x0a, 0x0f, 0x43, 0x52,
	0x45, 0x41, 0x54, 0x45, 0x44, 0x5f, 0x41, 0x54, 0x5f, 0x44, 0x45, 0x53, 0x43, 0x10, 0x03, 0x32,
	0xfd, 0x07, 0x0a, 0x08, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x73, 0x12, 0x74, 0x0a, 0x0e,
	0x47, 0x65, 0x74, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x42, 0x79, 0x49, 0x44, 0x12, 0x36,
	0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68,
	0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x2e, 0x47, 0x65, 0x74, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x42, 0x79, 0x49, 0x64, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x22, 0x00, 0x12, 0x7a, 0x0a, 0x0b, 0x47, 0x65, 0x74, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x73, 0x12, 0x33, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65,
	0x61, 0x73, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x73, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x34, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x52, 0x65, 0x6c, 0x65,
	0x61, 0x73, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x72,
	0x0a, 0x0d, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x12,
	0x35, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70,
	0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73,
	0x65, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x22, 0x00, 0x12, 0x72, 0x0a, 0x0d, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65,
	0x61, 0x73, 0x65, 0x12, 0x35, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65,
	0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x6c, 0x65,
	0x61, 0x73, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x6d, 0x61, 0x72,
	0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x6c,
	0x65, 0x61, 0x73, 0x65, 0x22, 0x00, 0x12, 0x60, 0x0a, 0x0d, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x12, 0x35, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61,
	0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x22, 0x00, 0x12, 0x86, 0x01, 0x0a, 0x17, 0x41, 0x64, 0x64,
	0x50, 0x61, 0x72, 0x74, 0x69, 0x63, 0x69, 0x70, 0x61, 0x6e, 0x74, 0x54, 0x6f, 0x52, 0x65, 0x6c,
	0x65, 0x61, 0x73, 0x65, 0x12, 0x3f, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72,
	0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x41, 0x64, 0x64, 0x50, 0x61, 0x72, 0x74, 0x69, 0x63,
	0x69, 0x70, 0x61, 0x6e, 0x74, 0x54, 0x6f, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x22,
	0x00, 0x12, 0x90, 0x01, 0x0a, 0x1c, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x50, 0x61, 0x72, 0x74,
	0x69, 0x63, 0x69, 0x70, 0x61, 0x6e, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x65, 0x6c, 0x65, 0x61,
	0x73, 0x65, 0x12, 0x44, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c,
	0x65, 0x61, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x50, 0x61, 0x72, 0x74, 0x69,
	0x63, 0x69, 0x70, 0x61, 0x6e, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73,
	0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69,
	0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x65, 0x61,
	0x73, 0x65, 0x22, 0x00, 0x12, 0x98, 0x01, 0x0a, 0x1f, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52,
	0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74,
	0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x12, 0x47, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69,
	0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65,
	0x6e, 0x74, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x2a, 0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x69, 0x70, 0x65,
	0x6c, 0x69, 0x6e, 0x65, 0x2e, 0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x22, 0x00, 0x42,
	0x47, 0x5a, 0x45, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x6e,
	0x66, 0x6f, 0x72, 0x2d, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61,
	0x6e, 0x2d, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2f, 0x70,
	0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_release_proto_rawDescOnce sync.Once
	file_release_proto_rawDescData []byte
)

func file_release_proto_rawDescGZIP() []byte {
	file_release_proto_rawDescOnce.Do(func() {
		file_release_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_release_proto_rawDesc), len(file_release_proto_rawDesc)))
	})
	return file_release_proto_rawDescData
}

var file_release_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_release_proto_msgTypes = make([]protoimpl.MessageInfo, 12)
var file_release_proto_goTypes = []any{
	(ReleaseSortableField)(0),                      // 0: martiancloud.phobos.api.release.ReleaseSortableField
	(*GetReleaseByIdRequest)(nil),                  // 1: martiancloud.phobos.api.release.GetReleaseByIdRequest
	(*GetReleasesRequest)(nil),                     // 2: martiancloud.phobos.api.release.GetReleasesRequest
	(*DeploymentTemplate)(nil),                     // 3: martiancloud.phobos.api.release.DeploymentTemplate
	(*ReleaseVariable)(nil),                        // 4: martiancloud.phobos.api.release.ReleaseVariable
	(*CreateReleaseRequest)(nil),                   // 5: martiancloud.phobos.api.release.CreateReleaseRequest
	(*UpdateReleaseRequest)(nil),                   // 6: martiancloud.phobos.api.release.UpdateReleaseRequest
	(*DeleteReleaseRequest)(nil),                   // 7: martiancloud.phobos.api.release.DeleteReleaseRequest
	(*AddParticipantToReleaseRequest)(nil),         // 8: martiancloud.phobos.api.release.AddParticipantToReleaseRequest
	(*RemoveParticipantFromReleaseRequest)(nil),    // 9: martiancloud.phobos.api.release.RemoveParticipantFromReleaseRequest
	(*UpdateReleaseDeploymentPipelineRequest)(nil), // 10: martiancloud.phobos.api.release.UpdateReleaseDeploymentPipelineRequest
	(*Release)(nil),                                // 11: martiancloud.phobos.api.release.Release
	(*GetReleasesResponse)(nil),                    // 12: martiancloud.phobos.api.release.GetReleasesResponse
	(*PaginationOptions)(nil),                      // 13: martiancloud.phobos.api.pagination.PaginationOptions
	(*timestamppb.Timestamp)(nil),                  // 14: google.protobuf.Timestamp
	(*PipelineVariable)(nil),                       // 15: martiancloud.phobos.api.pipeline.PipelineVariable
	(*ResourceMetadata)(nil),                       // 16: martiancloud.phobos.api.metadata.ResourceMetadata
	(*PageInfo)(nil),                               // 17: martiancloud.phobos.api.pagination.PageInfo
	(*emptypb.Empty)(nil),                          // 18: google.protobuf.Empty
	(*Pipeline)(nil),                               // 19: martiancloud.phobos.api.pipeline.Pipeline
}
var file_release_proto_depIdxs = []int32{
	13, // 0: martiancloud.phobos.api.release.GetReleasesRequest.pagination_options:type_name -> martiancloud.phobos.api.pagination.PaginationOptions
	0,  // 1: martiancloud.phobos.api.release.GetReleasesRequest.sort:type_name -> martiancloud.phobos.api.release.ReleaseSortableField
	3,  // 2: martiancloud.phobos.api.release.CreateReleaseRequest.deployment_templates:type_name -> martiancloud.phobos.api.release.DeploymentTemplate
	4,  // 3: martiancloud.phobos.api.release.CreateReleaseRequest.environment_variables:type_name -> martiancloud.phobos.api.release.ReleaseVariable
	4,  // 4: martiancloud.phobos.api.release.CreateReleaseRequest.hcl_variables:type_name -> martiancloud.phobos.api.release.ReleaseVariable
	14, // 5: martiancloud.phobos.api.release.CreateReleaseRequest.due_date:type_name -> google.protobuf.Timestamp
	14, // 6: martiancloud.phobos.api.release.UpdateReleaseRequest.due_date:type_name -> google.protobuf.Timestamp
	15, // 7: martiancloud.phobos.api.release.UpdateReleaseDeploymentPipelineRequest.hcl_variables:type_name -> martiancloud.phobos.api.pipeline.PipelineVariable
	15, // 8: martiancloud.phobos.api.release.UpdateReleaseDeploymentPipelineRequest.environment_variables:type_name -> martiancloud.phobos.api.pipeline.PipelineVariable
	16, // 9: martiancloud.phobos.api.release.Release.metadata:type_name -> martiancloud.phobos.api.metadata.ResourceMetadata
	14, // 10: martiancloud.phobos.api.release.Release.due_date:type_name -> google.protobuf.Timestamp
	17, // 11: martiancloud.phobos.api.release.GetReleasesResponse.page_info:type_name -> martiancloud.phobos.api.pagination.PageInfo
	11, // 12: martiancloud.phobos.api.release.GetReleasesResponse.releases:type_name -> martiancloud.phobos.api.release.Release
	1,  // 13: martiancloud.phobos.api.release.Releases.GetReleaseByID:input_type -> martiancloud.phobos.api.release.GetReleaseByIdRequest
	2,  // 14: martiancloud.phobos.api.release.Releases.GetReleases:input_type -> martiancloud.phobos.api.release.GetReleasesRequest
	5,  // 15: martiancloud.phobos.api.release.Releases.CreateRelease:input_type -> martiancloud.phobos.api.release.CreateReleaseRequest
	6,  // 16: martiancloud.phobos.api.release.Releases.UpdateRelease:input_type -> martiancloud.phobos.api.release.UpdateReleaseRequest
	7,  // 17: martiancloud.phobos.api.release.Releases.DeleteRelease:input_type -> martiancloud.phobos.api.release.DeleteReleaseRequest
	8,  // 18: martiancloud.phobos.api.release.Releases.AddParticipantToRelease:input_type -> martiancloud.phobos.api.release.AddParticipantToReleaseRequest
	9,  // 19: martiancloud.phobos.api.release.Releases.RemoveParticipantFromRelease:input_type -> martiancloud.phobos.api.release.RemoveParticipantFromReleaseRequest
	10, // 20: martiancloud.phobos.api.release.Releases.UpdateReleaseDeploymentPipeline:input_type -> martiancloud.phobos.api.release.UpdateReleaseDeploymentPipelineRequest
	11, // 21: martiancloud.phobos.api.release.Releases.GetReleaseByID:output_type -> martiancloud.phobos.api.release.Release
	12, // 22: martiancloud.phobos.api.release.Releases.GetReleases:output_type -> martiancloud.phobos.api.release.GetReleasesResponse
	11, // 23: martiancloud.phobos.api.release.Releases.CreateRelease:output_type -> martiancloud.phobos.api.release.Release
	11, // 24: martiancloud.phobos.api.release.Releases.UpdateRelease:output_type -> martiancloud.phobos.api.release.Release
	18, // 25: martiancloud.phobos.api.release.Releases.DeleteRelease:output_type -> google.protobuf.Empty
	11, // 26: martiancloud.phobos.api.release.Releases.AddParticipantToRelease:output_type -> martiancloud.phobos.api.release.Release
	11, // 27: martiancloud.phobos.api.release.Releases.RemoveParticipantFromRelease:output_type -> martiancloud.phobos.api.release.Release
	19, // 28: martiancloud.phobos.api.release.Releases.UpdateReleaseDeploymentPipeline:output_type -> martiancloud.phobos.api.pipeline.Pipeline
	21, // [21:29] is the sub-list for method output_type
	13, // [13:21] is the sub-list for method input_type
	13, // [13:13] is the sub-list for extension type_name
	13, // [13:13] is the sub-list for extension extendee
	0,  // [0:13] is the sub-list for field type_name
}

func init() { file_release_proto_init() }
func file_release_proto_init() {
	if File_release_proto != nil {
		return
	}
	file_metadata_proto_init()
	file_pagination_proto_init()
	file_pipeline_proto_init()
	file_release_proto_msgTypes[1].OneofWrappers = []any{}
	file_release_proto_msgTypes[3].OneofWrappers = []any{}
	file_release_proto_msgTypes[4].OneofWrappers = []any{}
	file_release_proto_msgTypes[5].OneofWrappers = []any{}
	file_release_proto_msgTypes[6].OneofWrappers = []any{}
	file_release_proto_msgTypes[7].OneofWrappers = []any{}
	file_release_proto_msgTypes[8].OneofWrappers = []any{}
	file_release_proto_msgTypes[9].OneofWrappers = []any{}
	file_release_proto_msgTypes[10].OneofWrappers = []any{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_release_proto_rawDesc), len(file_release_proto_rawDesc)),
			NumEnums:      1,
			NumMessages:   12,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_release_proto_goTypes,
		DependencyIndexes: file_release_proto_depIdxs,
		EnumInfos:         file_release_proto_enumTypes,
		MessageInfos:      file_release_proto_msgTypes,
	}.Build()
	File_release_proto = out.File
	file_release_proto_goTypes = nil
	file_release_proto_depIdxs = nil
}
